=== debian/control ===
Source: budgie-desktop-services
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://forge.moderndesktop.dev/BuddiesOfBudgie/budgie-desktop-services
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 qt6-wayland-dev,
 qt6-base-dev,
 kwayland-dev,
 libtoml11-dev
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop-services/tree/debian
Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop-services.git -b debian

Package: budgie-desktop-services
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Core package for all Budgie Desktop related services
 Budgie Desktop Services is the central hub and orchestrator for
 Budgie Desktop. It primarily provides Wayland-native display configuration
 for the Budgie 10.10 series.
 .
 Highlights
 .
 Wayland-native: Uses wlr-output-management-unstable-v1 to discover and
 configure outputs.
 Display Configuration Batch System: Build atomic display configuration
 changes and apply them safely in one go.
 Profiles via TOML: Persist and auto-apply display groups matched to
 current hardware.
