=== debian/changelog ===
budgie-desktop-services (0.0.2-1) experimental; urgency=medium

  * Initial Release (Closes: #1120910)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 27 Dec 2025 21:58:29 +0000
