=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  kwayland-dev,
  libtoml11-dev
 Standards-Version: 4.7.2
-Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop-services/tree/debian
-Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop-services.git -b debian
+Vcs-Browser: https://github.com/ubuntubudgie/budgie-desktop-services
+Vcs-Git: https://github.com/ubuntubudgie/budgie-desktop-services.git
 
 Package: budgie-desktop-services
 Architecture: any
