=== debian/changelog ===
budgie-desktop-services (1.0.0-1) experimental; urgency=medium

  * Initial Release (Closes: #1120910)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 12 Jan 2026 19:26:17 +0000
