=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,21 +14,19 @@
 
 set(budgie-desktop-services_SRCS
   # Config
-  config/display.cpp
-  config/display.hpp
-  config/format.hpp
+  config/outputs/global_preferences.cpp
+  config/outputs/global_preferences.hpp
+  config/outputs/group.cpp
+  config/outputs/group.hpp
+  config/outputs/output.cpp
+  config/outputs/output.hpp
+  config/outputs/state.cpp
+  config/outputs/state.hpp
   config/utils.cpp
   config/utils.hpp
   # DBus Services
-  dbus/DisplaySchemaTypes.hpp
   dbus/ConfigService.cpp
   dbus/ConfigService.hpp
-  dbus/OutputsService.cpp
-  dbus/OutputsService.hpp
-  dbus/OutputModeService.cpp
-  dbus/OutputModeService.hpp
-  dbus/OutputService.cpp
-  dbus/OutputService.hpp
   # Batch System
   outputs/config/enums/actiontype.hpp
   outputs/config/enums/anchors.hpp
@@ -40,6 +38,9 @@
   outputs/config/result.hpp
   outputs/config/targetstate.cpp
   outputs/config/targetstate.hpp
+  # Output
+  outputs/types.cpp
+  outputs/types.hpp
   # Output (wlroots-specific)
   outputs/wlr/configuration.cpp
   outputs/wlr/configuration.hpp
@@ -65,9 +66,9 @@
 )
 
 qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.Config.xml dbus/ConfigService.hpp bd::ConfigService)
-qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.Outputs.xml dbus/OutputsService.hpp bd::OutputsService)
-qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.Output.xml dbus/OutputService.hpp bd::OutputService)
-qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.OutputMode.xml dbus/OutputModeService.hpp bd::OutputModeService)
+qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.Outputs.xml outputs/state.hpp bd::Outputs::State)
+qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.Output.xml outputs/wlr/metahead.hpp bd::Outputs::Wlr::MetaHead)
+qt_add_dbus_adaptor(budgie-desktop-services_SRCS dbus/schemas/DisplaySchema.OutputMode.xml outputs/wlr/metamode.hpp bd::Outputs::Wlr::MetaMode)
 
 add_library(
   budgie-desktop-services STATIC
