=== debian/changelog ===
budgie-desktop-services (1.0.2-1) experimental; urgency=medium

  * Initial Release (Closes: #1120910)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 18 Jan 2026 19:05:19 +0000
