=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DINSTALL_LABWC=OFF
