=== debian/watch ===
Version: 5

Source: https://forge.moderndesktop.dev/BuddiesOfBudgie/budgie-desktop-services/tags
Matching-Pattern: .*/@ANY_VERSION@@ARCHIVE_EXT@
